nproc(1)

NAME
nproc - Print the number of cores available to the current process. If the `OMP_NUM_THREADS` or `OMP_THREAD_LIMIT` environment variables are set, then they will determine the minimum and maximum returned value respectively.

SYNOPSIS
nproc [--all] [--ignore] [-h|--help] [-V|--version]

DESCRIPTION
Print the number of cores available to the current process. If the `OMP_NUM_THREADS` or `OMP_THREAD_LIMIT` environment variables are set, then they will determine the minimum and maximum returned value respectively.

OPTIONS

--all
    print the number of cores available to the system

--ignore=N
    ignore up to N cores

-h, --help
    Print help

-V, --version
    Print version

VERSION
v0.0.23